package net.knarcraft.minecraftserverlauncher.server.servertypes;

import java.io.File;
import java.io.IOException;

public class Custom extends AbstractServerType {
    /**
     * Instantiates a new server type
     *
     * @param typeName    <p>The name of the server type</p>
     * @param versions    <p>A list of one or more server versions for the type</p>
     * @param downloadURL <p>The URL used for downloading .jar files</p>
     */
    public Custom(String typeName, String[] versions, String downloadURL) {
        super(typeName, versions, downloadURL);
    }

    @Override
    public boolean downloadJar(String folder, String version) throws IOException {
        File filePath = new File(folder + version);
        return filePath.isFile();
    }
}
