package net.knarcraft.minecraftserverlauncher;

import net.knarcraft.minecraftserverlauncher.profile.Profile;
import org.junit.Test;

import java.io.FileNotFoundException;

import static net.knarcraft.minecraftserverlauncher.utility.CommonFunctions.stringBetween;
import static org.junit.Assert.assertEquals;

public class Tests {

    @Test
    public void saveProfile() throws FileNotFoundException { //Make sure we can write profiles to disk
        Profile.addProfile("Test");
        Profile.getCurrent().save();
    }

    @Test
    public void stringBetweenTest() { //Make sure stringBetween is not creating exceptions
        String substring = stringBetween("fish'nchips", "f", "'");
        assertEquals("ish", substring);
        substring = stringBetween("something", "whale", "fish");
        assertEquals("", substring);
        substring = stringBetween("something", "so", "fish");
        assertEquals("", substring);
        substring = stringBetween("something", "asd", "ing");
        assertEquals("", substring);
    }
}
